import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const CleanUpStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type CleanUpInstructionAccounts = {
    packSet: web3.PublicKey;
    packConfig: web3.PublicKey;
};
export declare const cleanUpInstructionDiscriminator = 13;
export declare function createCleanUpInstruction(accounts: CleanUpInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
