import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const DeactivateStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type DeactivateInstructionAccounts = {
    packSet: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare const deactivateInstructionDiscriminator = 4;
export declare function createDeactivateInstruction(accounts: DeactivateInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
