import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const DeletePackConfigStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type DeletePackConfigInstructionAccounts = {
    packSet: web3.PublicKey;
    packConfig: web3.PublicKey;
    refunder: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare const deletePackConfigInstructionDiscriminator = 14;
export declare function createDeletePackConfigInstruction(accounts: DeletePackConfigInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
