import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const DeletePackVoucherStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type DeletePackVoucherInstructionAccounts = {
    packSet: web3.PublicKey;
    packVoucher: web3.PublicKey;
    authority: web3.PublicKey;
    refunder: web3.PublicKey;
};
export declare const deletePackVoucherInstructionDiscriminator = 10;
export declare function createDeletePackVoucherInstruction(accounts: DeletePackVoucherInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
