import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { EditPackSetArgs } from '../types/EditPackSetArgs';
export declare type EditPackInstructionArgs = {
    editPackSetArgs: EditPackSetArgs;
};
export declare const EditPackStruct: beet.FixableBeetArgsStruct<EditPackInstructionArgs & {
    instructionDiscriminator: number;
}>;
export declare type EditPackInstructionAccounts = {
    packSet: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare const editPackInstructionDiscriminator = 11;
export declare function createEditPackInstruction(accounts: EditPackInstructionAccounts, args: EditPackInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
