"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createInitPackInstruction = exports.initPackInstructionDiscriminator = exports.InitPackStruct = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const InitPackSetArgs_1 = require("../types/InitPackSetArgs");
exports.InitPackStruct = new beet.FixableBeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    ['initPackSetArgs', InitPackSetArgs_1.initPackSetArgsBeet],
], 'InitPackInstructionArgs');
exports.initPackInstructionDiscriminator = 0;
function createInitPackInstruction(accounts, args, programId = new web3.PublicKey('packFeFNZzMfD9aVWL7QbGz1WcU7R9zpf6pvNsw2BLu')) {
    var _a;
    const [data] = exports.InitPackStruct.serialize({
        instructionDiscriminator: exports.initPackInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.packSet,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.authority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: accounts.store,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_a = accounts.rent) !== null && _a !== void 0 ? _a : web3.SYSVAR_RENT_PUBKEY,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.clock,
            isWritable: false,
            isSigner: false,
        },
    ];
    if (accounts.whitelistedCreator != null) {
        keys.push({
            pubkey: accounts.whitelistedCreator,
            isWritable: false,
            isSigner: false,
        });
    }
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createInitPackInstruction = createInitPackInstruction;
//# sourceMappingURL=InitPack.js.map