import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const TransferPackAuthorityStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type TransferPackAuthorityInstructionAccounts = {
    packSet: web3.PublicKey;
    currentAuthority: web3.PublicKey;
    newAuthority: web3.PublicKey;
};
export declare const transferPackAuthorityInstructionDiscriminator = 7;
export declare function createTransferPackAuthorityInstruction(accounts: TransferPackAuthorityInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
