import * as beet from '@metaplex-foundation/beet';
import { PackDistributionType } from './PackDistributionType';
export declare type InitPackSetArgs = {
    name: number[];
    description: string;
    uri: string;
    mutable: boolean;
    distributionType: PackDistributionType;
    allowedAmountToRedeem: number;
    redeemStartDate: beet.COption<beet.bignum>;
    redeemEndDate: beet.COption<beet.bignum>;
};
export declare const initPackSetArgsBeet: beet.FixableBeetArgsStruct<InitPackSetArgs>;
