import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const ActivateStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type ActivateInstructionAccounts = {
    packSet: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare const activateInstructionDiscriminator = 3;
export declare function createActivateInstruction(accounts: ActivateInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
