import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const AddVoucherToPackStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type AddVoucherToPackInstructionAccounts = {
    packSet: web3.PublicKey;
    packVoucher: web3.PublicKey;
    authority: web3.PublicKey;
    voucherOwner: web3.PublicKey;
    masterEdition: web3.PublicKey;
    masterMetadata: web3.PublicKey;
    mint: web3.PublicKey;
    source: web3.PublicKey;
    store: web3.PublicKey;
    rent?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
};
export declare const addVoucherToPackInstructionDiscriminator = 2;
export declare function createAddVoucherToPackInstruction(accounts: AddVoucherToPackInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
