import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const ClosePackStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type ClosePackInstructionAccounts = {
    packSet: web3.PublicKey;
    authority: web3.PublicKey;
    clock: web3.PublicKey;
};
export declare const closePackInstructionDiscriminator = 5;
export declare function createClosePackInstruction(accounts: ClosePackInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
