import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const DeletePackStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type DeletePackInstructionAccounts = {
    packSet: web3.PublicKey;
    authority: web3.PublicKey;
    refunder: web3.PublicKey;
};
export declare const deletePackInstructionDiscriminator = 8;
export declare function createDeletePackInstruction(accounts: DeletePackInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
