import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const DeletePackCardStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export declare type DeletePackCardInstructionAccounts = {
    packSet: web3.PublicKey;
    packCard: web3.PublicKey;
    authority: web3.PublicKey;
    refunder: web3.PublicKey;
    newMasterEditionOwner: web3.PublicKey;
    tokenAccount: web3.PublicKey;
    programAuthority: web3.PublicKey;
    rent?: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
};
export declare const deletePackCardInstructionDiscriminator = 9;
export declare function createDeletePackCardInstruction(accounts: DeletePackCardInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
