"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeletePackVoucherInstruction = exports.deletePackVoucherInstructionDiscriminator = exports.DeletePackVoucherStruct = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
exports.DeletePackVoucherStruct = new beet.BeetArgsStruct([['instructionDiscriminator', beet.u8]], 'DeletePackVoucherInstructionArgs');
exports.deletePackVoucherInstructionDiscriminator = 10;
function createDeletePackVoucherInstruction(accounts, programId = new web3.PublicKey('packFeFNZzMfD9aVWL7QbGz1WcU7R9zpf6pvNsw2BLu')) {
    const [data] = exports.DeletePackVoucherStruct.serialize({
        instructionDiscriminator: exports.deletePackVoucherInstructionDiscriminator,
    });
    const keys = [
        {
            pubkey: accounts.packSet,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.packVoucher,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.authority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: accounts.refunder,
            isWritable: true,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createDeletePackVoucherInstruction = createDeletePackVoucherInstruction;
//# sourceMappingURL=DeletePackVoucher.js.map