"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRequestCardForRedeemInstruction = exports.requestCardForRedeemInstructionDiscriminator = exports.RequestCardForRedeemStruct = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const RequestCardToRedeemArgs_1 = require("../types/RequestCardToRedeemArgs");
exports.RequestCardForRedeemStruct = new beet.BeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    ['requestCardToRedeemArgs', RequestCardToRedeemArgs_1.requestCardToRedeemArgsBeet],
], 'RequestCardForRedeemInstructionArgs');
exports.requestCardForRedeemInstructionDiscriminator = 12;
function createRequestCardForRedeemInstruction(accounts, args, programId = new web3.PublicKey('packFeFNZzMfD9aVWL7QbGz1WcU7R9zpf6pvNsw2BLu')) {
    var _a, _b;
    const [data] = exports.RequestCardForRedeemStruct.serialize({
        instructionDiscriminator: exports.requestCardForRedeemInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.packSet,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.packConfig,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.store,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.edition,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.editionMint,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.packVoucher,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.provingProcess,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.userWallet,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: accounts.recentSlothashes,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.clock,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_a = accounts.rent) !== null && _a !== void 0 ? _a : web3.SYSVAR_RENT_PUBKEY,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_b = accounts.systemProgram) !== null && _b !== void 0 ? _b : web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
    ];
    if (accounts.userToken != null) {
        keys.push({
            pubkey: accounts.userToken,
            isWritable: false,
            isSigner: false,
        });
    }
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createRequestCardForRedeemInstruction = createRequestCardForRedeemInstruction;
//# sourceMappingURL=RequestCardForRedeem.js.map