import * as beet from '@metaplex-foundation/beet';
export declare type CleanUpActionsRecord = {
    Change: {
        fields: [number, number];
    };
    Sort: void;
    None: void;
};
export declare type CleanUpActions = beet.DataEnumKeyAsKind<CleanUpActionsRecord>;
export declare const isCleanUpActionsChange: (x: CleanUpActions) => x is {
    __kind: "Change";
} & Omit<{
    fields: [number, number];
}, "void"> & {
    __kind: 'Change';
};
export declare const isCleanUpActionsSort: (x: CleanUpActions) => x is {
    __kind: "Sort";
} & Omit<void, "void"> & {
    __kind: 'Sort';
};
export declare const isCleanUpActionsNone: (x: CleanUpActions) => x is {
    __kind: "None";
} & Omit<void, "void"> & {
    __kind: 'None';
};
export declare const cleanUpActionsBeet: beet.FixableBeet<CleanUpActions, Partial<CleanUpActions>>;
